首页 > linux > NVIDIA-SMI has failed because it couldn't communicate with the NVIDIA driver. Make sure that the latest NVIDIA driver is installed and running.

NVIDIA-SMI has failed because it couldn't communicate with the NVIDIA driver. Make sure that the latest NVIDIA driver is installed and running.

2021年6月3日 发表评论 阅读评论

安装完 GPU 的驱动并重启系统后,执行 nvidia-smi 报错:

执行 nvidia-settings,报错:

通过 lspci 可以看到系统识别了显卡:

执行 dkms status 发现已经安装驱动:

解决办法:
有人说内核版本冲突,也有执行nvcc -V命令的。可是我安装的包是匹配的内核版本,执行nvcc提示找不到命令。通过 nvidia-smi 报错提示发现需要我需要确认驱动是否已经安装并运行,因为之前自己确实做了一些列操作,驱动安装了肯定没问题,只是不确定是否安装正确,第二个是如果安装了驱动有没有加载到内核运行。通过dkms发现驱动模块已经添加。

1)查询当前使用的 nvidia 驱动 版本号

2)重新安装驱动(根据个人实际的版本号填写,上一步的输出)

分类: linux 标签:
  1. 本文目前尚无任何评论.
  1. 本文目前尚无任何 trackbacks 和 pingbacks.